//--- export object begin ---//
instant FearGuiFormattedText "weaponkeySave";
//--- export object end ---//
// ---------------------------------------------------------------------------
// custom_weapons_data.cs -- Version 1.3 -- April 10, 2000
// by Lorne Laliberte (writer@planetstarsiege.com)
//
// http://www.writerscripts.com
// ---------------------------------------------------------------------------

// The format is:
//
//     WeaponKey::add(<device>, <modifier1>, <modfier2>, <modifier3>, <key>);
// $WeaponKey::weapon[<device>, <modifier1>, <modfier2>, <modifier3>, <key>, 0] = <preferred weapon for single key press>
// $WeaponKey::weapon[<device>, <modifier1>, <modfier2>, <modifier3>, <key>, 1] = <alternate weapon for single key press>
// $WeaponKey::weapon[<device>, <modifier1>, <modfier2>, <modifier3>, <key>, 2] = <preferred weapon for double key press>
// $WeaponKey::weapon[<device>, <modifier1>, <modfier2>, <modifier3>, <key>, 3] = <alternate weapon for double key press>


    WeaponKey::add(keyboard0, "", "", "", "1");
$WeaponKey::weapon[keyboard0, "", "", "", "1", 0] = "Laser Rifle"; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "1", 1] = "Mortar";      // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "1", 2] = "Blaster";     // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "1", 3] = "";            // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "2");
$WeaponKey::weapon[keyboard0, "", "", "", "2", 0] = "Plasma Gun"; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "2", 1] = "";           // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "2", 2] = "Blaster";    // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "2", 3] = "";           // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "3");
$WeaponKey::weapon[keyboard0, "", "", "", "3", 0] = "Chaingun"; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "3", 1] = "";         // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "3", 2] = "ELF gun";  // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "3", 3] = "";         // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "4");
$WeaponKey::weapon[keyboard0, "", "", "", "4", 0] = "Disc Launcher"; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "4", 1] = "";              // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "4", 2] = "";              // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "4", 3] = "";              // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "5");
$WeaponKey::weapon[keyboard0, "", "", "", "5", 0] = "Grenade Launcher"; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "5", 1] = "";                 // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "5", 2] = "Targeting Laser";  // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "5", 3] = "";                 // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "6");
$WeaponKey::weapon[keyboard0, "", "", "", "6", 0] = ""; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "6", 1] = ""; // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "6", 2] = ""; // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "6", 3] = ""; // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "7");
$WeaponKey::weapon[keyboard0, "", "", "", "7", 0] = ""; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "7", 1] = ""; // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "7", 2] = ""; // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "7", 3] = ""; // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "8");
$WeaponKey::weapon[keyboard0, "", "", "", "8", 0] = ""; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "8", 1] = ""; // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "8", 2] = ""; // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "8", 3] = ""; // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "9");
$WeaponKey::weapon[keyboard0, "", "", "", "9", 0] = ""; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "9", 1] = ""; // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "9", 2] = ""; // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "9", 3] = ""; // single-keypress alternate

    WeaponKey::add(keyboard0, "", "", "", "0");
$WeaponKey::weapon[keyboard0, "", "", "", "0", 0] = ""; // single-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "0", 1] = ""; // single-keypress alternate
$WeaponKey::weapon[keyboard0, "", "", "", "0", 2] = ""; // double-keypress preferred
$WeaponKey::weapon[keyboard0, "", "", "", "0", 3] = ""; // single-keypress alternate

// Remove the weaponkeySave object that gets created whenever this file is executed
if(isObject(weaponkeySave))
    deleteobject(weaponkeySave);
